from setuptools import setup, find_packages
from setuptools.command.install import install

class install(install):
    """ From hyrule, thanks """
    def run(self):
        super().run()
        import py_compile

        import hy  # for compile hooks

        for path in set(self.get_outputs()):
            if path.endswith(".hy"):
                py_compile.compile(
                    path,
                    invalidation_mode=py_compile.PycInvalidationMode.CHECKED_HASH,
                )

setup(
    name="hy_odoo",
    version="0.8.1pre",
    packages=find_packages(),
    package_data={
        'hy_odoo': ['*.hy'],
    },
    setup_requires=["hy==0.24.*", "hyrule==0.2.*"],
    install_requires=["hy==0.24.*", "hyrule==0.2.*"],
    author="Fabien Bourgeois",
    author_email="fabien@yaltik.com",
    description="HY functions and macros for Odoo",
    keywords="odoo hy hylang",
    url="https://git.yaltik.net/Yaltik/hy_odoo",
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MPL2 License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
    ],
    cmdclass={'install': install}
)
